## 功能列表

- 根据指定的模板和参数，自动生成这周的周报。以下字段会更新
  - 工作周
  - 日期
  - 所在项目
  - 项目负责人
  - 报告人
  - 删除上周工作内容、额外工作记录情况、工作完成情况、困难问题、经验教训及建议、下周工作重点
- 若已经存在同名文档，则不执行
- 添加 `auto_run_python.bat`，双击即可执行python脚本
- 支持跨年

## 快速开始

1. 安装依赖

    ```powershell
    pip install -r requirements.txt
    ```

2. 运行程序
  
    ```powershell
    python gen_word.py
    ```
  
    或双击 `auto_run_python.bat`

3. 生成桌面快捷方式
  
    双击`创建桌面快捷方式.bat`

## 其他

- 成功运行的log

  ```powshell
  2024-01-02 16:48:24,745 - c:\Users\fengbohan\Documents\周工作报告\gen_word.py - 50 -INFO: template_file_name: 2017WWXX周工作报告样本.doc
  2024-01-02 16:48:24,745 - c:\Users\fengbohan\Documents\周工作报告\gen_word.py - 51 -INFO: new file name: 2024WW01周工作报告_冯博涵.doc;
  2024-01-02 16:48:24,745 - c:\Users\fengbohan\Documents\周工作报告\gen_word.py - 58 -INFO: process: copy file ...
  2024-01-02 16:48:24,763 - c:\Users\fengbohan\Documents\周工作报告\gen_word.py - 62 -INFO: process: open file ...
  2024-01-02 16:48:25,550 - c:\Users\fengbohan\Documents\周工作报告\gen_word.py - 71 -INFO: process: edit file ...
  ```